Bug 232408 - Review Request: perl-GD-SVG - SVG output from scripts written using GD
Review Request: perl-GD-SVG - SVG output from scripts written using GD
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Iseli
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-15 06:31 EDT by Alex Lancaster
Modified: 2010-02-07 16:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-24 20:16:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Christian.Iseli: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2007-03-15 06:31:11 EDT
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-GD-SVG.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-GD-SVG-0.28-1.src.rpm
Description: Enables SVG output from scripts written using GD

GD::SVG seamlessly enables the scalable vector graphics (SVG) output
from scripts written using GD.  It accomplishes this by translating GD
functions into SVG functions.

Part of a series of requirements for bioperl, see also: bug #232193.
Comment 1 Christian Iseli 2007-03-22 17:01:13 EDT
Please consider using the %{?dist} tag.

Review:
- rpmlint is ok
- name ok
- spec name ok
- packaging guidelines met
- license ok
- license matches actual license in package
- spec file in American English and legible
- source matches upstream
- builds, installs, runs, and uninstalls cleanly
- BuildRequires ok
- no locale to worry about
- no relocation to worry about
- no duplicated files
- files perms ok
- clean section ok
- macro useage ok
- package contains code
- no large doc
- %doc is only doc
- builds in mock

This package is approved.

I browsed a bit in Bugzilla, an dyou appear to know your way in Fedora packaging.

Please fix the perl-SVG package and I'll sponsor you.

Cheers,
 C
Comment 2 Alex Lancaster 2007-03-23 20:07:10 EDT
New Package CVS Request
=======================
Package Name: perl-GD-SVG
Short Description: SVG output from scripts written using GD
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 
Comment 3 Warren Togami 2007-03-24 01:14:56 EDT
I'm confused, this already exists but it wasn't listed in owners.list?  What is
going on?
Comment 4 Alex Lancaster 2007-03-24 04:22:32 EDT
I'm resurrecting the original perl-GD-SVG was packaged by Hunter Matthews (see
http://fedoraproject.org/wiki/HunterMatthews) back in 2005 but he went AWOL and
the package was pulled from the repository, but I'm guessing that this was
probably before the automated updating of owners.list via the cvs admin
procedure (back when the updating was done manually by the packager and was
probably never done by Hunter because he never built the package), hence
existing in CVS but not in owners.list.
Comment 5 Alex Lancaster 2007-03-24 05:00:17 EDT
Looks like the component needs to be updated

https://bugzilla.redhat.com/bugzilla/describecomponents.cgi?product=Fedora%20Extras

currently lists Mike McGrath (imlinux@gmail.com) as the maintainer.
Comment 6 Alex Lancaster 2007-03-24 20:16:28 EDT
Looks like it's now updated, closing bug as builds have been done in devel,
FC-{5,6}.
Comment 7 Mark Chappell 2010-02-04 11:38:36 EST
Alex is I believe not interested in maintaining for EPEL:

http://fedoraproject.org/wiki/EPEL/ContributorStatusNo

"alexlan - feel free to take my Perl packages for EPEL; though I ask that you add me as a comaintainer."

Package Change Request
======================
Package Name: perl-GD-SVG
New Branches: EL-4 EL-5
Owners: tremble alexlan
Comment 8 Kevin Fenzi 2010-02-07 16:15:38 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.